from Screens.Screen import Screen
from Components.Label import Label
from Components.Pixmap import Pixmap

try:
	from Screens.Toast import Toast
	print "[PowerMetrixFHD] 026 -OK-- Toast"
except:
	print "[PowerMetrixFHD] 026 -NOK- Toast"

#######################################################################################################################################################

def Toast__init__(self, session, text, duration):
	Screen.__init__(self, session)
	self.duration = duration
	self["text"] = Label(text)
	self["textback"] = Label()
	self["textborder"] = Pixmap()

#######################################################################################################################################################

def doToastChange():
	try:
		Toast.__init__ = Toast__init__
		print "[PowerMetrixFHD] 026 -OK-- Toast"
	except:
		print "[PowerMetrixFHD] 026 -NOK- Toast"
